jwhois(1)

NAME
jwhois - klient för whois-tjänsten

SYNOPS
jwhois [ FLAGGOR ]... [ FRÅGA ]

BESKRIVNING
jwhois söker på Whois-servrar efter objekten på kommandoraden. Vilken värd som skall frågas hämtas från en global konfigurationsfil, en konfigurationsfil som anges på kommandoraden, eller väljs direkt på kommandoraden.

FLAGGOR

--version
    visar version, författare och licensinformation.

--help
    visar en kort hjälptext.

-c FIL --config=FIL
    använder FIL som konfigurationsfil istället för förvalet.

-h VÄRD --host=VÄRD
    ignorerar den värd som anges i konfigurationsfilen och frågar istället VÄRD direkt.

-p PORT --port=PORT
    anger vilket portnummer som skall användas när VÄRD frågas.

-f --force-lookup
    framtvingar uppslagning mot värden även om det aktuella objektet är tillgänglig i cachen.

-v --verbose
    skriver ut berättande felsökningsutdata vid körning (använd denna innan du sänder felrapporter för att försäkra dig om att det rör sig om ett fel och inte en felkonfigurering). Du kan öka pratsamhetsnivån genom att ge flera sådana flaggor till jwhois, till exempel -vv.

-n --no-redirect
    deaktivera funktionen som omdirigerar frågor från en server till en annan.

-s --no-whoisservers
    deaktivera det inbyggda stödet för whois-servers.net.

-a --raw
    sänd frågan ordagrannt till mottagande värd istället för att skriva om dem i enlighet med inställningen.

-i --display-redirections
    visa alla steg i omdirigeringen (förval är att visa endast det sista svaret).

-d --disable-cache
    helt deaktivera både läsning och skrivning av cachen.

-r --rwhois
    framtvinga användning av rwhois-protokollet istället för HTTP eller whois.

--rwhois-display=VISNING
    ber de mottagande rwhoisservrarna att visa resultaten enligt VISNING istället för den normala dump-visningen.

--rwhois-limit=GRÄNS
    ber de mottagande rwhoisservrarna att begränsa sina svar till GRÄNS träffar.

  RIPE-UTÖKNINGAR
För att använda flaggorna som anges i RIPE-dokument 157, måste du ändra formatet på frågan något. Om du skulle söka efter alla poster i RIPE-databasen vilka listar admin-c, tech-c eller zone-c som CO19-RIPE, kan du använda följande kommandosyntax: jwhois -h whois.ripe.net -- -i admin-c,tech-c,zone-c CO19-RIPE -- används för att separerar RIPE-flaggorna från jwhois egna flaggor.

SE ÄVEN
whois(1)